| Home | Libraries | People | FAQ | More

##### copy

###### Prototype

    template<class SinglePassRange, class OutputIterator>
    OutputIterator copy(const SinglePassRange& source_rng, OutputIterator out_it);

###### Description

`copy` copies all elements from `source_rng` to the range `[out_it, out_it + distance(source_rng))`. The return value is `out_it + distance(source_rng)`

###### Definition

Defined in the header file `boost/range/algorithm/copy.hpp`

###### Requirements

- `SinglePassRange` is a model of the Single Pass Range Concept.
- `OutputIterator` is a model of the `OutputIteratorConcept`.
- The `value_type` of Single Pass Range Concept is convertible to a type in `OutputIterator`'s set of value types.

###### Precondition:

- `out_it` is not an iterator within the `source_rng`.
- `[out_it, out_it + distance(source_rng))` is a valid range.

###### Complexity

Linear. Exactly `distance(source_rng)` assignments are performed.